@Echo Off
SetLocal EnableExtensions EnableDelayedExpansion
Pushd "%~dp0"

Set LOG_FILE=%HOMEDRIVE%%HOMEPATH%\Desktop\ThumbnailCityInstall.log

For %%x In (*.msi) Do Set MSI_FILE=%%x
If "%MSI_FILE%"=="" (
    Echo Error: MSI file not found.
    Pause
    Exit /B 1
)
Echo MSI=%MSI_FILE%

msiexec /i %MSI_FILE% /L*v %LOG_FILE%

EndLocal
